/**
 * $Id: UI_icons.h 31710 2010-09-01 21:11:33Z dingto $
 *
 * ***** BEGIN GPL LICENSE BLOCK *****
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * The Original Code is Copyright (C) 2009 Blender Foundation.
 * All rights reserved.
 *
 * 
 * Contributor(s): Blender Foundation
 *
 * ***** END GPL LICENSE BLOCK *****
 */

/* Note: this is included twice with different #defines for DEF_ICON
   once from UI_resources.h for the internal icon enum and
   once for interface_api.c for the definition of the RNA enum for the icons */

DEF_ICON(ICON_BLENDER)
DEF_ICON(ICON_QUESTION)
DEF_ICON(ICON_ERROR)
DEF_ICON(ICON_CANCEL)
DEF_ICON(ICON_TRIA_RIGHT)
DEF_ICON(ICON_TRIA_DOWN)
DEF_ICON(ICON_TRIA_LEFT)
DEF_ICON(ICON_TRIA_UP)
DEF_ICON(ICON_ARROW_LEFTRIGHT)
DEF_ICON(ICON_PLUS)
DEF_ICON(ICON_DISCLOSURE_TRI_DOWN)
DEF_ICON(ICON_DISCLOSURE_TRI_RIGHT)
DEF_ICON(ICON_RADIOBUT_OFF)
DEF_ICON(ICON_RADIOBUT_ON)
DEF_ICON(ICON_MENU_PANEL)
DEF_ICON(ICON_PYTHON)
DEF_ICON(ICON_BLANK003)
DEF_ICON(ICON_DOT)
DEF_ICON(ICON_BLANK004)
DEF_ICON(ICON_X)
DEF_ICON(ICON_BLANK005)
DEF_ICON(ICON_GO_LEFT)
DEF_ICON(ICON_PLUG)
DEF_ICON(ICON_UI)
DEF_ICON(ICON_NODE)
DEF_ICON(ICON_NODE_SEL)
	
	/* ui */
DEF_ICON(ICON_FULLSCREEN)
DEF_ICON(ICON_SPLITSCREEN)
DEF_ICON(ICON_RIGHTARROW_THIN)
DEF_ICON(ICON_BORDERMOVE)
DEF_ICON(ICON_VIEWZOOM)
DEF_ICON(ICON_ZOOMIN)
DEF_ICON(ICON_ZOOMOUT)
DEF_ICON(ICON_PANEL_CLOSE)
DEF_ICON(ICON_COPY_ID) //ICON_BLANK009
DEF_ICON(ICON_EYEDROPPER)
DEF_ICON(ICON_LINK_AREA) //ICON_BLANK010
DEF_ICON(ICON_AUTO)
DEF_ICON(ICON_CHECKBOX_DEHLT)
DEF_ICON(ICON_CHECKBOX_HLT)
DEF_ICON(ICON_UNLOCKED)
DEF_ICON(ICON_LOCKED)
DEF_ICON(ICON_UNPINNED)
DEF_ICON(ICON_PINNED)
DEF_ICON(ICON_SCREEN_BACK)
DEF_ICON(ICON_RIGHTARROW)
DEF_ICON(ICON_DOWNARROW_HLT)
DEF_ICON(ICON_DOTSUP)
DEF_ICON(ICON_DOTSDOWN)
DEF_ICON(ICON_LINK)
DEF_ICON(ICON_INLINK)
DEF_ICON(ICON_PLUGIN)
	
	/* various ui */	
DEF_ICON(ICON_HELP)
DEF_ICON(ICON_GHOST_ENABLED)
DEF_ICON(ICON_COLOR)
DEF_ICON(ICON_LINKED)
DEF_ICON(ICON_UNLINKED)
DEF_ICON(ICON_HAND)
DEF_ICON(ICON_ZOOM_ALL)
DEF_ICON(ICON_ZOOM_SELECTED)
DEF_ICON(ICON_ZOOM_PREVIOUS)
DEF_ICON(ICON_ZOOM_IN)
DEF_ICON(ICON_ZOOM_OUT)
DEF_ICON(ICON_RENDER_REGION)
DEF_ICON(ICON_BORDER_RECT)
DEF_ICON(ICON_BORDER_LASSO)
DEF_ICON(ICON_FREEZE)
DEF_ICON(ICON_STYLUS_PRESSURE)
DEF_ICON(ICON_GHOST_DISABLED)
DEF_ICON(ICON_NEW)
DEF_ICON(ICON_FILE_TICK)
DEF_ICON(ICON_QUIT)
DEF_ICON(ICON_URL)
DEF_ICON(ICON_RECOVER_LAST)
DEF_ICON(ICON_BLANK038)
DEF_ICON(ICON_FULLSCREEN_ENTER)
DEF_ICON(ICON_FULLSCREEN_EXIT)
DEF_ICON(ICON_BLANK1)	// Not actually blank - this is used all over the place
	
	/* BUTTONS */
DEF_ICON(ICON_LAMP)
DEF_ICON(ICON_MATERIAL)
DEF_ICON(ICON_TEXTURE)
DEF_ICON(ICON_ANIM)
DEF_ICON(ICON_WORLD)
DEF_ICON(ICON_SCENE)
DEF_ICON(ICON_EDIT)
DEF_ICON(ICON_GAME)
DEF_ICON(ICON_RADIO)
DEF_ICON(ICON_SCRIPT)
DEF_ICON(ICON_PARTICLES)
DEF_ICON(ICON_PHYSICS)
DEF_ICON(ICON_SPEAKER)
DEF_ICON(ICON_TEXTURE_SHADED) //ICON_BLANK041
DEF_ICON(ICON_BLANK042)
DEF_ICON(ICON_BLANK043)
DEF_ICON(ICON_BLANK044)
DEF_ICON(ICON_BLANK045)
DEF_ICON(ICON_BLANK046)
DEF_ICON(ICON_BLANK047)
DEF_ICON(ICON_BLANK048)
DEF_ICON(ICON_BLANK049)
DEF_ICON(ICON_BLANK050)
DEF_ICON(ICON_BLANK051)
DEF_ICON(ICON_BLANK052)
DEF_ICON(ICON_BLANK052b)
	
	/* EDITORS */
DEF_ICON(ICON_VIEW3D)
DEF_ICON(ICON_IPO)
DEF_ICON(ICON_OOPS)
DEF_ICON(ICON_BUTS)
DEF_ICON(ICON_FILESEL)
DEF_ICON(ICON_IMAGE_COL)
DEF_ICON(ICON_INFO)
DEF_ICON(ICON_SEQUENCE)
DEF_ICON(ICON_TEXT)
DEF_ICON(ICON_IMASEL)
DEF_ICON(ICON_SOUND)
DEF_ICON(ICON_ACTION)
DEF_ICON(ICON_NLA)
DEF_ICON(ICON_SCRIPTWIN)
DEF_ICON(ICON_TIME)
DEF_ICON(ICON_NODETREE)
DEF_ICON(ICON_LOGIC)
DEF_ICON(ICON_CONSOLE)
DEF_ICON(ICON_PREFERENCES)
DEF_ICON(ICON_ASSET_MANAGER)
DEF_ICON(ICON_BLANK057)
DEF_ICON(ICON_BLANK058)
DEF_ICON(ICON_BLANK059)
DEF_ICON(ICON_BLANK060)
DEF_ICON(ICON_BLANK061)
DEF_ICON(ICON_BLANK061b)
	
	/* MODES */
DEF_ICON(ICON_OBJECT_DATAMODE)	// XXX fix this up
DEF_ICON(ICON_EDITMODE_HLT)
DEF_ICON(ICON_FACESEL_HLT)
DEF_ICON(ICON_VPAINT_HLT)
DEF_ICON(ICON_TPAINT_HLT)
DEF_ICON(ICON_WPAINT_HLT)
DEF_ICON(ICON_SCULPTMODE_HLT)
DEF_ICON(ICON_POSE_HLT)
DEF_ICON(ICON_PARTICLEMODE)
DEF_ICON(ICON_LIGHTPAINT)
DEF_ICON(ICON_BLANK063)
DEF_ICON(ICON_BLANK064)
DEF_ICON(ICON_BLANK065)
DEF_ICON(ICON_BLANK066)
DEF_ICON(ICON_BLANK067)
DEF_ICON(ICON_BLANK068)
DEF_ICON(ICON_BLANK069)
DEF_ICON(ICON_BLANK070)
DEF_ICON(ICON_BLANK071)
DEF_ICON(ICON_BLANK072)
DEF_ICON(ICON_BLANK073)
DEF_ICON(ICON_BLANK074)
DEF_ICON(ICON_BLANK075)
DEF_ICON(ICON_BLANK076)
DEF_ICON(ICON_BLANK077)
DEF_ICON(ICON_BLANK077b)
	
	/* DATA */
DEF_ICON(ICON_SCENE_DATA)
DEF_ICON(ICON_RENDERLAYERS)
DEF_ICON(ICON_WORLD_DATA)
DEF_ICON(ICON_OBJECT_DATA)
DEF_ICON(ICON_MESH_DATA)
DEF_ICON(ICON_CURVE_DATA)
DEF_ICON(ICON_META_DATA)
DEF_ICON(ICON_LATTICE_DATA)
DEF_ICON(ICON_LAMP_DATA)
DEF_ICON(ICON_MATERIAL_DATA)
DEF_ICON(ICON_TEXTURE_DATA)
DEF_ICON(ICON_ANIM_DATA)
DEF_ICON(ICON_CAMERA_DATA)
DEF_ICON(ICON_PARTICLE_DATA)
DEF_ICON(ICON_LIBRARY_DATA_DIRECT)
DEF_ICON(ICON_GROUP)
DEF_ICON(ICON_ARMATURE_DATA)
DEF_ICON(ICON_POSE_DATA)
DEF_ICON(ICON_BONE_DATA)
DEF_ICON(ICON_CONSTRAINT)
DEF_ICON(ICON_SHAPEKEY_DATA)
DEF_ICON(ICON_CONSTRAINT_BONE)
DEF_ICON(ICON_BLANK079)
DEF_ICON(ICON_PACKAGE)
DEF_ICON(ICON_UGLYPACKAGE)
DEF_ICON(ICON_BLANK079b)

	/* DATA */
DEF_ICON(ICON_BRUSH_DATA)
DEF_ICON(ICON_IMAGE_DATA)
DEF_ICON(ICON_FILE)
DEF_ICON(ICON_FCURVE)
DEF_ICON(ICON_FONT_DATA)
DEF_ICON(ICON_RENDER_RESULT)
DEF_ICON(ICON_SURFACE_DATA)
DEF_ICON(ICON_EMPTY_DATA)
DEF_ICON(ICON_SETTINGS)
DEF_ICON(ICON_RENDER_ANIMATION)
DEF_ICON(ICON_RENDER_STILL)
DEF_ICON(ICON_BLANK080F)
DEF_ICON(ICON_BOIDS)
DEF_ICON(ICON_STRANDS)
DEF_ICON(ICON_LIBRARY_DATA_INDIRECT)
DEF_ICON(ICON_GREASEPENCIL)
DEF_ICON(ICON_BLANK083)
DEF_ICON(ICON_BLANK084)
DEF_ICON(ICON_GROUP_BONE)
DEF_ICON(ICON_GROUP_VERTEX)
DEF_ICON(ICON_GROUP_VCOL)
DEF_ICON(ICON_GROUP_UVS)
DEF_ICON(ICON_BLANK089)
DEF_ICON(ICON_BLANK090)
DEF_ICON(ICON_RNA)
DEF_ICON(ICON_RNA_ADD)

	/* available */
DEF_ICON(ICON_BLANK092)
DEF_ICON(ICON_BLANK093)
DEF_ICON(ICON_BLANK094)
DEF_ICON(ICON_BLANK095)
DEF_ICON(ICON_BLANK096)
DEF_ICON(ICON_BLANK097)
DEF_ICON(ICON_BLANK098)
DEF_ICON(ICON_BLANK099)
DEF_ICON(ICON_BLANK100)
DEF_ICON(ICON_BLANK101)
DEF_ICON(ICON_BLANK102)
DEF_ICON(ICON_BLANK103)
DEF_ICON(ICON_BLANK104)
DEF_ICON(ICON_BLANK105)
DEF_ICON(ICON_BLANK106)
DEF_ICON(ICON_BLANK107)
DEF_ICON(ICON_BLANK108)
DEF_ICON(ICON_BLANK109)
DEF_ICON(ICON_BLANK110)
DEF_ICON(ICON_BLANK111)
DEF_ICON(ICON_BLANK112)
DEF_ICON(ICON_BLANK113)
DEF_ICON(ICON_BLANK114)
DEF_ICON(ICON_BLANK115)
DEF_ICON(ICON_BLANK116)
DEF_ICON(ICON_BLANK116b)
	
	/* OUTLINER */
DEF_ICON(ICON_OUTLINER_OB_EMPTY)
DEF_ICON(ICON_OUTLINER_OB_MESH)
DEF_ICON(ICON_OUTLINER_OB_CURVE)
DEF_ICON(ICON_OUTLINER_OB_LATTICE)
DEF_ICON(ICON_OUTLINER_OB_META)
DEF_ICON(ICON_OUTLINER_OB_LAMP)
DEF_ICON(ICON_OUTLINER_OB_CAMERA)
DEF_ICON(ICON_OUTLINER_OB_ARMATURE)
DEF_ICON(ICON_OUTLINER_OB_FONT)
DEF_ICON(ICON_OUTLINER_OB_SURFACE)
DEF_ICON(ICON_BLANK119)
DEF_ICON(ICON_BLANK120)
DEF_ICON(ICON_BLANK121)
DEF_ICON(ICON_BLANK122)
DEF_ICON(ICON_BLANK123)
DEF_ICON(ICON_BLANK124)
DEF_ICON(ICON_BLANK125)
DEF_ICON(ICON_BLANK126)
DEF_ICON(ICON_BLANK127)
DEF_ICON(ICON_RESTRICT_VIEW_OFF)
DEF_ICON(ICON_RESTRICT_VIEW_ON)
DEF_ICON(ICON_RESTRICT_SELECT_OFF)
DEF_ICON(ICON_RESTRICT_SELECT_ON)
DEF_ICON(ICON_RESTRICT_RENDER_OFF)
DEF_ICON(ICON_RESTRICT_RENDER_ON)
DEF_ICON(ICON_BLANK127b)

	/* OUTLINER */
DEF_ICON(ICON_OUTLINER_DATA_EMPTY)
DEF_ICON(ICON_OUTLINER_DATA_MESH)
DEF_ICON(ICON_OUTLINER_DATA_CURVE)
DEF_ICON(ICON_OUTLINER_DATA_LATTICE)
DEF_ICON(ICON_OUTLINER_DATA_META)
DEF_ICON(ICON_OUTLINER_DATA_LAMP)
DEF_ICON(ICON_OUTLINER_DATA_CAMERA)
DEF_ICON(ICON_OUTLINER_DATA_ARMATURE)
DEF_ICON(ICON_OUTLINER_DATA_FONT)
DEF_ICON(ICON_OUTLINER_DATA_SURFACE)
DEF_ICON(ICON_OUTLINER_DATA_POSE)
DEF_ICON(ICON_BLANK129)
DEF_ICON(ICON_BLANK130)
DEF_ICON(ICON_BLANK131)
DEF_ICON(ICON_BLANK132)
DEF_ICON(ICON_BLANK133)
DEF_ICON(ICON_BLANK134)
DEF_ICON(ICON_BLANK135)
DEF_ICON(ICON_BLANK136)
DEF_ICON(ICON_BLANK137)
DEF_ICON(ICON_BLANK138)
DEF_ICON(ICON_BLANK139)
DEF_ICON(ICON_BLANK140)
DEF_ICON(ICON_BLANK141)
DEF_ICON(ICON_BLANK142)
DEF_ICON(ICON_BLANK142b)
	
	/* PRIMITIVES */
DEF_ICON(ICON_MESH_PLANE)
DEF_ICON(ICON_MESH_CUBE)
DEF_ICON(ICON_MESH_CIRCLE)
DEF_ICON(ICON_MESH_UVSPHERE)
DEF_ICON(ICON_MESH_ICOSPHERE)
DEF_ICON(ICON_MESH_GRID)
DEF_ICON(ICON_MESH_MONKEY)
DEF_ICON(ICON_MESH_CYLINDER)
DEF_ICON(ICON_MESH_TORUS)
DEF_ICON(ICON_MESH_CONE)
DEF_ICON(ICON_BLANK610)
DEF_ICON(ICON_BLANK611)
DEF_ICON(ICON_LAMP_POINT)
DEF_ICON(ICON_LAMP_SUN)
DEF_ICON(ICON_LAMP_SPOT)
DEF_ICON(ICON_LAMP_HEMI)
DEF_ICON(ICON_LAMP_AREA)
DEF_ICON(ICON_BLANK617)
DEF_ICON(ICON_BLANK618)
DEF_ICON(ICON_BLANK619)
DEF_ICON(ICON_META_PLANE)
DEF_ICON(ICON_META_CUBE)
DEF_ICON(ICON_META_BALL)
DEF_ICON(ICON_META_ELLIPSOID)
DEF_ICON(ICON_META_CAPSULE)
DEF_ICON(ICON_BLANK625)
	
	/* PRIMITIVES */
DEF_ICON(ICON_SURFACE_NCURVE)
DEF_ICON(ICON_SURFACE_NCIRCLE)
DEF_ICON(ICON_SURFACE_NSURFACE)
DEF_ICON(ICON_SURFACE_NCYLINDER)
DEF_ICON(ICON_SURFACE_NSPHERE)
DEF_ICON(ICON_SURFACE_NTORUS)
DEF_ICON(ICON_BLANK636)
DEF_ICON(ICON_BLANK637)
DEF_ICON(ICON_BLANK638)
DEF_ICON(ICON_CURVE_BEZCURVE)
DEF_ICON(ICON_CURVE_BEZCIRCLE)
DEF_ICON(ICON_CURVE_NCURVE)
DEF_ICON(ICON_CURVE_NCIRCLE)
DEF_ICON(ICON_CURVE_PATH)
DEF_ICON(ICON_BLANK644)
DEF_ICON(ICON_BLANK645)
DEF_ICON(ICON_BLANK646)
DEF_ICON(ICON_BLANK647)
DEF_ICON(ICON_BLANK648)
DEF_ICON(ICON_BLANK649)
DEF_ICON(ICON_BLANK650)
DEF_ICON(ICON_BLANK651)
DEF_ICON(ICON_BLANK652)
DEF_ICON(ICON_BLANK653)
DEF_ICON(ICON_BLANK654)
DEF_ICON(ICON_BLANK655)
	
	/* EMPTY */
DEF_ICON(ICON_FORCE_FORCE)
DEF_ICON(ICON_FORCE_WIND)
DEF_ICON(ICON_FORCE_VORTEX)
DEF_ICON(ICON_FORCE_MAGNETIC)
DEF_ICON(ICON_FORCE_HARMONIC)
DEF_ICON(ICON_FORCE_CHARGE)
DEF_ICON(ICON_FORCE_LENNARDJONES)
DEF_ICON(ICON_FORCE_TEXTURE)
DEF_ICON(ICON_FORCE_CURVE)
DEF_ICON(ICON_FORCE_BOID)
DEF_ICON(ICON_FORCE_TURBULENCE)
DEF_ICON(ICON_FORCE_DRAG)
DEF_ICON(ICON_BLANK672)
DEF_ICON(ICON_BLANK673)
DEF_ICON(ICON_BLANK674)
DEF_ICON(ICON_BLANK675)
DEF_ICON(ICON_BLANK676)
DEF_ICON(ICON_BLANK677)
DEF_ICON(ICON_BLANK678)
DEF_ICON(ICON_BLANK679)
DEF_ICON(ICON_BLANK680)
DEF_ICON(ICON_BLANK681)
DEF_ICON(ICON_BLANK682)
DEF_ICON(ICON_BLANK683)
DEF_ICON(ICON_BLANK684)
DEF_ICON(ICON_BLANK685)

	/* EMPTY */
DEF_ICON(ICON_BLANK690)
DEF_ICON(ICON_BLANK691)
DEF_ICON(ICON_BLANK692)
DEF_ICON(ICON_BLANK693)
DEF_ICON(ICON_BLANK694)
DEF_ICON(ICON_BLANK695)
DEF_ICON(ICON_BLANK696)
DEF_ICON(ICON_BLANK697)
DEF_ICON(ICON_BLANK698)
DEF_ICON(ICON_BLANK699)
DEF_ICON(ICON_BLANK700)
DEF_ICON(ICON_BLANK701)
DEF_ICON(ICON_BLANK702)
DEF_ICON(ICON_BLANK703)
DEF_ICON(ICON_BLANK704)
DEF_ICON(ICON_BLANK705)
DEF_ICON(ICON_BLANK706)
DEF_ICON(ICON_BLANK707)
DEF_ICON(ICON_BLANK708)
DEF_ICON(ICON_BLANK709)
DEF_ICON(ICON_BLANK710)
DEF_ICON(ICON_BLANK711)
DEF_ICON(ICON_BLANK712)
DEF_ICON(ICON_BLANK713)
DEF_ICON(ICON_BLANK714)
DEF_ICON(ICON_BLANK715)
	
	/* EMPTY */
DEF_ICON(ICON_BLANK720)
DEF_ICON(ICON_BLANK721)
DEF_ICON(ICON_BLANK722)
DEF_ICON(ICON_BLANK733)
DEF_ICON(ICON_BLANK734)
DEF_ICON(ICON_BLANK735)
DEF_ICON(ICON_BLANK736)
DEF_ICON(ICON_BLANK737)
DEF_ICON(ICON_BLANK738)
DEF_ICON(ICON_BLANK739)
DEF_ICON(ICON_BLANK740)
DEF_ICON(ICON_BLANK741)
DEF_ICON(ICON_BLANK742)
DEF_ICON(ICON_BLANK743)
DEF_ICON(ICON_BLANK744)
DEF_ICON(ICON_BLANK745)
DEF_ICON(ICON_BLANK746)
DEF_ICON(ICON_BLANK747)
DEF_ICON(ICON_BLANK748)
DEF_ICON(ICON_BLANK749)
DEF_ICON(ICON_BLANK750)
DEF_ICON(ICON_BLANK751)
DEF_ICON(ICON_BLANK752)
DEF_ICON(ICON_BLANK753)
DEF_ICON(ICON_BLANK754)
DEF_ICON(ICON_BLANK755)

	/* EMPTY */
DEF_ICON(ICON_BLANK760)
DEF_ICON(ICON_BLANK761)
DEF_ICON(ICON_BLANK762)
DEF_ICON(ICON_BLANK763)
DEF_ICON(ICON_BLANK764)
DEF_ICON(ICON_BLANK765)
DEF_ICON(ICON_BLANK766)
DEF_ICON(ICON_BLANK767)
DEF_ICON(ICON_BLANK768)
DEF_ICON(ICON_BLANK769)
DEF_ICON(ICON_BLANK770)
DEF_ICON(ICON_BLANK771)
DEF_ICON(ICON_BLANK772)
DEF_ICON(ICON_BLANK773)
DEF_ICON(ICON_BLANK774)
DEF_ICON(ICON_BLANK775)
DEF_ICON(ICON_BLANK776)
DEF_ICON(ICON_BLANK777)
DEF_ICON(ICON_BLANK778)
DEF_ICON(ICON_BLANK779)
DEF_ICON(ICON_BLANK780)
DEF_ICON(ICON_BLANK781)
DEF_ICON(ICON_BLANK782)
DEF_ICON(ICON_BLANK783)
DEF_ICON(ICON_BLANK784)
DEF_ICON(ICON_BLANK785)

	/* MODIFIERS */
DEF_ICON(ICON_MODIFIER)
DEF_ICON(ICON_MOD_WAVE)
DEF_ICON(ICON_MOD_BUILD)
DEF_ICON(ICON_MOD_DECIM)
DEF_ICON(ICON_MOD_MIRROR)
DEF_ICON(ICON_MOD_SOFT)
DEF_ICON(ICON_MOD_SUBSURF)
DEF_ICON(ICON_HOOK)
DEF_ICON(ICON_MOD_PHYSICS)
DEF_ICON(ICON_MOD_PARTICLES)
DEF_ICON(ICON_MOD_BOOLEAN)
DEF_ICON(ICON_MOD_EDGESPLIT)
DEF_ICON(ICON_MOD_ARRAY)
DEF_ICON(ICON_MOD_UVPROJECT)
DEF_ICON(ICON_MOD_DISPLACE)
DEF_ICON(ICON_MOD_CURVE)
DEF_ICON(ICON_MOD_LATTICE)
DEF_ICON(ICON_CONSTRAINT_DATA)
DEF_ICON(ICON_MOD_ARMATURE)
DEF_ICON(ICON_MOD_SHRINKWRAP)
DEF_ICON(ICON_MOD_CAST)
DEF_ICON(ICON_MOD_MESHDEFORM)
DEF_ICON(ICON_MOD_BEVEL)
DEF_ICON(ICON_MOD_SMOOTH)
DEF_ICON(ICON_MOD_SIMPLEDEFORM)
DEF_ICON(ICON_MOD_MASK)

	/* MODIFIERS */
DEF_ICON(ICON_MOD_CLOTH)
DEF_ICON(ICON_MOD_EXPLODE)
DEF_ICON(ICON_MOD_FLUIDSIM)
DEF_ICON(ICON_MOD_MULTIRES)
DEF_ICON(ICON_MOD_SMOKE)
DEF_ICON(ICON_MOD_SOLIDIFY)
DEF_ICON(ICON_MOD_SCREW)
DEF_ICON(ICON_BLANK160)
DEF_ICON(ICON_BLANK161)
DEF_ICON(ICON_BLANK162)
DEF_ICON(ICON_BLANK163)
DEF_ICON(ICON_BLANK164)
DEF_ICON(ICON_BLANK165)
DEF_ICON(ICON_BLANK166)
DEF_ICON(ICON_BLANK167)
DEF_ICON(ICON_BLANK168)
DEF_ICON(ICON_BLANK169)
DEF_ICON(ICON_BLANK170)
DEF_ICON(ICON_BLANK171)
DEF_ICON(ICON_BLANK172)
DEF_ICON(ICON_BLANK173)
DEF_ICON(ICON_BLANK174)
DEF_ICON(ICON_BLANK175)
DEF_ICON(ICON_BLANK176)
DEF_ICON(ICON_BLANK177)
DEF_ICON(ICON_BLANK177b)
	
	/* ANIMATION */
DEF_ICON(ICON_REC)
DEF_ICON(ICON_PLAY)
DEF_ICON(ICON_FF)
DEF_ICON(ICON_REW)
DEF_ICON(ICON_PAUSE)
DEF_ICON(ICON_PREV_KEYFRAME)
DEF_ICON(ICON_NEXT_KEYFRAME)
DEF_ICON(ICON_PLAY_AUDIO)
DEF_ICON(ICON_PLAY_REVERSE)
DEF_ICON(ICON_PREVIEW_RANGE)
DEF_ICON(ICON_BLANK180)
DEF_ICON(ICON_PMARKER_ACT)
DEF_ICON(ICON_PMARKER_SEL)
DEF_ICON(ICON_PMARKER)
DEF_ICON(ICON_MARKER_HLT)
DEF_ICON(ICON_MARKER)
DEF_ICON(ICON_SPACE2)	// XXX
DEF_ICON(ICON_SPACE3)	// XXX
DEF_ICON(ICON_BLANK181)
DEF_ICON(ICON_KEY_DEHLT)
DEF_ICON(ICON_KEY_HLT)
DEF_ICON(ICON_MUTE_IPO_OFF)
DEF_ICON(ICON_MUTE_IPO_ON)
DEF_ICON(ICON_BLANK182)
DEF_ICON(ICON_BLANK183)
DEF_ICON(ICON_BLANK183b)

	/* available */
DEF_ICON(ICON_BLANK184)
DEF_ICON(ICON_BLANK185)
DEF_ICON(ICON_BLANK186)
DEF_ICON(ICON_BLANK187)
DEF_ICON(ICON_BLANK188)
DEF_ICON(ICON_BLANK189)
DEF_ICON(ICON_BLANK190)
DEF_ICON(ICON_BLANK191)
DEF_ICON(ICON_BLANK192)
DEF_ICON(ICON_BLANK193)
DEF_ICON(ICON_BLANK194)
DEF_ICON(ICON_BLANK195)
DEF_ICON(ICON_BLANK196)
DEF_ICON(ICON_BLANK197)
DEF_ICON(ICON_BLANK198)
DEF_ICON(ICON_BLANK199)
DEF_ICON(ICON_BLANK200)
DEF_ICON(ICON_BLANK201)
DEF_ICON(ICON_BLANK202)
DEF_ICON(ICON_BLANK203)
DEF_ICON(ICON_BLANK204)
DEF_ICON(ICON_BLANK205)
DEF_ICON(ICON_BLANK206)
DEF_ICON(ICON_BLANK207)
DEF_ICON(ICON_BLANK208)
DEF_ICON(ICON_BLANK208b)

	/* EDITING */
DEF_ICON(ICON_VERTEXSEL)
DEF_ICON(ICON_EDGESEL)
DEF_ICON(ICON_FACESEL)
DEF_ICON(ICON_LINKEDSEL)
DEF_ICON(ICON_BLANK210)
DEF_ICON(ICON_ROTATE)
DEF_ICON(ICON_CURSOR)
DEF_ICON(ICON_ROTATECOLLECTION)
DEF_ICON(ICON_ROTATECENTER)
DEF_ICON(ICON_ROTACTIVE)
DEF_ICON(ICON_ALIGN)
DEF_ICON(ICON_BLANK211)
DEF_ICON(ICON_SMOOTHCURVE)
DEF_ICON(ICON_SPHERECURVE)
DEF_ICON(ICON_ROOTCURVE)
DEF_ICON(ICON_SHARPCURVE)
DEF_ICON(ICON_LINCURVE)
DEF_ICON(ICON_NOCURVE)
DEF_ICON(ICON_RNDCURVE)
DEF_ICON(ICON_PROP_OFF)
DEF_ICON(ICON_PROP_ON)
DEF_ICON(ICON_PROP_CON)
DEF_ICON(ICON_BLANK212)
DEF_ICON(ICON_PARTICLE_POINT)
DEF_ICON(ICON_PARTICLE_TIP)
DEF_ICON(ICON_PARTICLE_PATH)
	
	/* EDITING */
DEF_ICON(ICON_MAN_TRANS)
DEF_ICON(ICON_MAN_ROT)
DEF_ICON(ICON_MAN_SCALE)
DEF_ICON(ICON_MANIPUL)
DEF_ICON(ICON_SNAP_OFF)
DEF_ICON(ICON_SNAP_ON)
DEF_ICON(ICON_SNAP_NORMAL)
DEF_ICON(ICON_SNAP_INCREMENT)
DEF_ICON(ICON_SNAP_VERTEX)
DEF_ICON(ICON_SNAP_EDGE)
DEF_ICON(ICON_SNAP_FACE)
DEF_ICON(ICON_SNAP_VOLUME)
DEF_ICON(ICON_UVS_FACE)
DEF_ICON(ICON_STICKY_UVS_LOC)
DEF_ICON(ICON_STICKY_UVS_DISABLE)
DEF_ICON(ICON_STICKY_UVS_VERT)
DEF_ICON(ICON_CLIPUV_DEHLT)
DEF_ICON(ICON_CLIPUV_HLT)
DEF_ICON(ICON_SNAP_PEEL_OBJECT)
DEF_ICON(ICON_GRID)
DEF_ICON(ICON_GEARS)
DEF_ICON(ICON_BLANK221)
DEF_ICON(ICON_BLANK224)
DEF_ICON(ICON_BLANK225)
DEF_ICON(ICON_BLANK226)
DEF_ICON(ICON_BLANK226b)

	/* EDITING */
DEF_ICON(ICON_PASTEDOWN)
DEF_ICON(ICON_COPYDOWN)
DEF_ICON(ICON_PASTEFLIPUP)
DEF_ICON(ICON_PASTEFLIPDOWN)
DEF_ICON(ICON_BLANK227)
DEF_ICON(ICON_BLANK228)
DEF_ICON(ICON_BLANK229)
DEF_ICON(ICON_BLANK230)
DEF_ICON(ICON_SNAP_SURFACE)
DEF_ICON(ICON_BLANK232)
DEF_ICON(ICON_BLANK233)
DEF_ICON(ICON_RETOPO)
DEF_ICON(ICON_UV_VERTEXSEL)
DEF_ICON(ICON_UV_EDGESEL)
DEF_ICON(ICON_UV_FACESEL)
DEF_ICON(ICON_UV_ISLANDSEL)
DEF_ICON(ICON_UV_SYNC_SELECT)
DEF_ICON(ICON_BLANK240)
DEF_ICON(ICON_BLANK241)
DEF_ICON(ICON_BLANK242)
DEF_ICON(ICON_BLANK243)
DEF_ICON(ICON_BLANK244)
DEF_ICON(ICON_BLANK245)
DEF_ICON(ICON_BLANK246)
DEF_ICON(ICON_BLANK247)
DEF_ICON(ICON_BLANK247b)
	
	/* 3D VIEW */
DEF_ICON(ICON_BBOX)
DEF_ICON(ICON_WIRE)
DEF_ICON(ICON_SOLID)
DEF_ICON(ICON_SMOOTH)
DEF_ICON(ICON_POTATO)
DEF_ICON(ICON_BLANK248)
DEF_ICON(ICON_ORTHO)
DEF_ICON(ICON_ORTHO_OFF)
DEF_ICON(ICON_CAMERA)
DEF_ICON(ICON_LOCKVIEW_OFF)
DEF_ICON(ICON_LOCKVIEW_ON)
DEF_ICON(ICON_BLANK250)
DEF_ICON(ICON_AXIS_SIDE)
DEF_ICON(ICON_AXIS_FRONT)
DEF_ICON(ICON_AXIS_TOP)
DEF_ICON(ICON_NDOF_DOM)
DEF_ICON(ICON_NDOF_TURN)
DEF_ICON(ICON_NDOF_FLY)
DEF_ICON(ICON_NDOF_TRANS)
DEF_ICON(ICON_LAYER_USED)
DEF_ICON(ICON_LAYER_ACTIVE)
DEF_ICON(ICON_BLANK254)
DEF_ICON(ICON_BLANK255)
DEF_ICON(ICON_BLANK256)
DEF_ICON(ICON_BLANK257)
DEF_ICON(ICON_BLANK257b)

	/* available */
DEF_ICON(ICON_BLANK258)
DEF_ICON(ICON_BLANK259)
DEF_ICON(ICON_BLANK260)
DEF_ICON(ICON_BLANK261)
DEF_ICON(ICON_BLANK262)
DEF_ICON(ICON_BLANK263)
DEF_ICON(ICON_BLANK264)
DEF_ICON(ICON_BLANK265)
DEF_ICON(ICON_BLANK266)
DEF_ICON(ICON_BLANK267)
DEF_ICON(ICON_BLANK268)
DEF_ICON(ICON_BLANK269)
DEF_ICON(ICON_BLANK270)
DEF_ICON(ICON_BLANK271)
DEF_ICON(ICON_BLANK272)
DEF_ICON(ICON_BLANK273)
DEF_ICON(ICON_BLANK274)
DEF_ICON(ICON_BLANK275)
DEF_ICON(ICON_BLANK276)
DEF_ICON(ICON_BLANK277)
DEF_ICON(ICON_BLANK278)
DEF_ICON(ICON_BLANK279)
DEF_ICON(ICON_BLANK280)
DEF_ICON(ICON_BLANK281)
DEF_ICON(ICON_BLANK282)
DEF_ICON(ICON_BLANK282b)

	/* FILE SELECT */
DEF_ICON(ICON_SORTALPHA)
DEF_ICON(ICON_SORTBYEXT)
DEF_ICON(ICON_SORTTIME)
DEF_ICON(ICON_SORTSIZE)
DEF_ICON(ICON_LONGDISPLAY)
DEF_ICON(ICON_SHORTDISPLAY)
DEF_ICON(ICON_GHOST)
DEF_ICON(ICON_IMGDISPLAY)
DEF_ICON(ICON_BLANK284)
DEF_ICON(ICON_BLANK285)
DEF_ICON(ICON_BOOKMARKS)
DEF_ICON(ICON_FONTPREVIEW)
DEF_ICON(ICON_FILTER)
DEF_ICON(ICON_NEWFOLDER)
DEF_ICON(ICON_BLANK285F)
DEF_ICON(ICON_FILE_PARENT)
DEF_ICON(ICON_FILE_REFRESH)
DEF_ICON(ICON_FILE_FOLDER)
DEF_ICON(ICON_FILE_BLANK)
DEF_ICON(ICON_FILE_BLEND)
DEF_ICON(ICON_FILE_IMAGE)
DEF_ICON(ICON_FILE_MOVIE)
DEF_ICON(ICON_FILE_SCRIPT)
DEF_ICON(ICON_FILE_SOUND)
DEF_ICON(ICON_FILE_FONT)
DEF_ICON(ICON_BLANK291b)

	/* available */
DEF_ICON(ICON_BLANK292)
DEF_ICON(ICON_BLANK293)
DEF_ICON(ICON_BLANK294)
DEF_ICON(ICON_BLANK295)
DEF_ICON(ICON_BLANK296)
DEF_ICON(ICON_BLANK297)
DEF_ICON(ICON_BLANK298)
DEF_ICON(ICON_BLANK299)
DEF_ICON(ICON_BLANK300)
DEF_ICON(ICON_BLANK301)
DEF_ICON(ICON_BLANK302)
DEF_ICON(ICON_BLANK303)
DEF_ICON(ICON_BLANK304)
DEF_ICON(ICON_BLANK305)
DEF_ICON(ICON_BLANK306)
DEF_ICON(ICON_BACK)
DEF_ICON(ICON_FORWARD)
DEF_ICON(ICON_BLANK309)
DEF_ICON(ICON_BLANK310)
DEF_ICON(ICON_BLANK311)
DEF_ICON(ICON_BLANK312)
DEF_ICON(ICON_BLANK313)
DEF_ICON(ICON_BLANK314)
DEF_ICON(ICON_BLANK315)
DEF_ICON(ICON_BLANK316)
DEF_ICON(ICON_DISK_DRIVE)
	
	/* SHADING / TEXT */
DEF_ICON(ICON_MATPLANE)
DEF_ICON(ICON_MATSPHERE)
DEF_ICON(ICON_MATCUBE)
DEF_ICON(ICON_MONKEY)
DEF_ICON(ICON_HAIR)
DEF_ICON(ICON_ALIASED)
DEF_ICON(ICON_ANTIALIASED)
DEF_ICON(ICON_MAT_SPHERE_SKY)
DEF_ICON(ICON_BLANK319)
DEF_ICON(ICON_BLANK320)
DEF_ICON(ICON_BLANK321)
DEF_ICON(ICON_BLANK322)
DEF_ICON(ICON_WORDWRAP_OFF)
DEF_ICON(ICON_WORDWRAP_ON)
DEF_ICON(ICON_SYNTAX_OFF)
DEF_ICON(ICON_SYNTAX_ON)
DEF_ICON(ICON_LINENUMBERS_OFF)
DEF_ICON(ICON_LINENUMBERS_ON)
DEF_ICON(ICON_SCRIPTPLUGINS)		// XXX CREATE NEW
DEF_ICON(ICON_BLANK323)
DEF_ICON(ICON_BLANK324)
DEF_ICON(ICON_BLANK325)
DEF_ICON(ICON_BLANK326)
DEF_ICON(ICON_BLANK327)
DEF_ICON(ICON_BLANK328)
DEF_ICON(ICON_BLANK328b)
	
	/* SEQUENCE / IMAGE EDITOR */
DEF_ICON(ICON_SEQ_SEQUENCER)
DEF_ICON(ICON_SEQ_PREVIEW)
DEF_ICON(ICON_SEQ_LUMA_WAVEFORM)
DEF_ICON(ICON_SEQ_CHROMA_SCOPE)
DEF_ICON(ICON_SEQ_HISTOGRAM)
DEF_ICON(ICON_SEQ_SPLITVIEW)
DEF_ICON(ICON_BLANK331)
DEF_ICON(ICON_BLANK332)
DEF_ICON(ICON_BLANK333)
DEF_ICON(ICON_IMAGE_RGB)	// XXX CHANGE TO STRAIGHT ALPHA, Z ETC
DEF_ICON(ICON_IMAGE_RGB_ALPHA)
DEF_ICON(ICON_IMAGE_ALPHA)
DEF_ICON(ICON_IMAGE_ZDEPTH)
DEF_ICON(ICON_IMAGEFILE)
DEF_ICON(ICON_BLANK336)
DEF_ICON(ICON_BLANK337)
DEF_ICON(ICON_BLANK338)
DEF_ICON(ICON_BLANK339)
DEF_ICON(ICON_BLANK340)
DEF_ICON(ICON_BLANK341)
DEF_ICON(ICON_BLANK342)
DEF_ICON(ICON_BLANK343)
DEF_ICON(ICON_BLANK344)
DEF_ICON(ICON_BLANK345)
DEF_ICON(ICON_BLANK346)
DEF_ICON(ICON_BLANK346b)

	/* brush icons */

DEF_ICON(ICON_BRUSH_ADD)
DEF_ICON(ICON_BRUSH_BLOB)
DEF_ICON(ICON_BRUSH_BLUR)
DEF_ICON(ICON_BRUSH_CLAY)
DEF_ICON(ICON_BRUSH_CLONE)
DEF_ICON(ICON_BRUSH_CREASE)
DEF_ICON(ICON_BRUSH_DARKEN)
DEF_ICON(ICON_BRUSH_FILL)
DEF_ICON(ICON_BRUSH_FLATTEN)
DEF_ICON(ICON_BRUSH_GRAB)
DEF_ICON(ICON_BRUSH_INFLATE)
DEF_ICON(ICON_BRUSH_LAYER)
DEF_ICON(ICON_BRUSH_LIGHTEN)
DEF_ICON(ICON_BRUSH_MIX)
DEF_ICON(ICON_BRUSH_MULTIPLY)
DEF_ICON(ICON_BRUSH_NUDGE)
DEF_ICON(ICON_BRUSH_PINCH)
DEF_ICON(ICON_BRUSH_SCRAPE)
DEF_ICON(ICON_BRUSH_SCULPT_DRAW)
DEF_ICON(ICON_BRUSH_SMEAR)
DEF_ICON(ICON_BRUSH_SMOOTH)
DEF_ICON(ICON_BRUSH_SNAKE_HOOK)
DEF_ICON(ICON_BRUSH_SOFTEN)
DEF_ICON(ICON_BRUSH_SUBTRACT)
DEF_ICON(ICON_BRUSH_TEXDRAW)
DEF_ICON(ICON_BRUSH_THUMB)
DEF_ICON(ICON_BRUSH_ROTATE)
DEF_ICON(ICON_BRUSH_VERTEXDRAW)

	/* vector icons */
	
DEF_ICON(VICO_VIEW3D_VEC)
DEF_ICON(VICO_EDIT_VEC)
DEF_ICON(VICO_EDITMODE_DEHLT)
DEF_ICON(VICO_EDITMODE_HLT)
DEF_ICON(VICO_DISCLOSURE_TRI_RIGHT_VEC)
DEF_ICON(VICO_DISCLOSURE_TRI_DOWN_VEC)
DEF_ICON(VICO_MOVE_UP_VEC)
DEF_ICON(VICO_MOVE_DOWN_VEC)
DEF_ICON(VICO_X_VEC)
DEF_ICON(VICO_SMALL_TRI_RIGHT_VEC)

